<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:06 CEST 2020 -->
<title>FailurePropagationDataTypesPackage</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FailurePropagationDataTypesPackage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FailurePropagationDataTypesPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html" target="_top">Frames</a></li>
<li><a href="FailurePropagationDataTypesPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes</div>
<h2 title="Interface FailurePropagationDataTypesPackage" class="title">Interface FailurePropagationDataTypesPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.impl">FailurePropagationDataTypesPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FailurePropagationDataTypesPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>FailurePropagationDataTypesFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes">FailurePropagationDataTypesPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#AAVOIDABLE">AAVOIDABLE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Aavoidable</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#AMITIGATION">AMITIGATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Amitigation</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#CAVOIDABLE">CAVOIDABLE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cavoidable</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#CMITIGATION">CMITIGATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cmitigation</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#DAVOIDABLE">DAVOIDABLE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Davoidable</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#DMITIGATION">DMITIGATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Dmitigation</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes">FailurePropagationDataTypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#FAILURE_TYPE">FAILURE_TYPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailureType.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Failure Type</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#IAVOIDABLE">IAVOIDABLE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Iavoidable</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#IMITIGATION">IMITIGATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Imitigation</em></code></a>' enum.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getA_avoidable--">getA_avoidable</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Aavoidable</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getA_mitigation--">getA_mitigation</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Amitigation</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getC_avoidable--">getC_avoidable</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cavoidable</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getC_mitigation--">getC_mitigation</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cmitigation</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getD_avoidable--">getD_avoidable</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Davoidable</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getD_mitigation--">getD_mitigation</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Dmitigation</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes">FailurePropagationDataTypesFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getFailurePropagationDataTypesFactory--">getFailurePropagationDataTypesFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getFailureType--">getFailureType</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailureType.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Failure Type</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getI_avoidable--">getI_avoidable</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Iavoidable</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html#getI_mitigation--">getI_mitigation</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Imitigation</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;java.lang.String eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;java.lang.String eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;java.lang.String eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes">FailurePropagationDataTypesPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DAVOIDABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DAVOIDABLE</h4>
<pre>static final&nbsp;int DAVOIDABLE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Davoidable</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>D_avoidable</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getD_avoidable--"><code>FailurePropagationDataTypesPackageImpl.getD_avoidable()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.DAVOIDABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="IAVOIDABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IAVOIDABLE</h4>
<pre>static final&nbsp;int IAVOIDABLE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Iavoidable</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>I_avoidable</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getI_avoidable--"><code>FailurePropagationDataTypesPackageImpl.getI_avoidable()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.IAVOIDABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CAVOIDABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CAVOIDABLE</h4>
<pre>static final&nbsp;int CAVOIDABLE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cavoidable</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>C_avoidable</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getC_avoidable--"><code>FailurePropagationDataTypesPackageImpl.getC_avoidable()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.CAVOIDABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILURE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILURE_TYPE</h4>
<pre>static final&nbsp;int FAILURE_TYPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailureType.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Failure Type</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailureType.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>FailureType</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getFailureType--"><code>FailurePropagationDataTypesPackageImpl.getFailureType()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.FAILURE_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="AAVOIDABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AAVOIDABLE</h4>
<pre>static final&nbsp;int AAVOIDABLE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Aavoidable</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>A_avoidable</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getA_avoidable--"><code>FailurePropagationDataTypesPackageImpl.getA_avoidable()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.AAVOIDABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="AMITIGATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AMITIGATION</h4>
<pre>static final&nbsp;int AMITIGATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Amitigation</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>A_mitigation</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getA_mitigation--"><code>FailurePropagationDataTypesPackageImpl.getA_mitigation()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.AMITIGATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CMITIGATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CMITIGATION</h4>
<pre>static final&nbsp;int CMITIGATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cmitigation</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>C_mitigation</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getC_mitigation--"><code>FailurePropagationDataTypesPackageImpl.getC_mitigation()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.CMITIGATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="IMITIGATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMITIGATION</h4>
<pre>static final&nbsp;int IMITIGATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Imitigation</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>I_mitigation</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getI_mitigation--"><code>FailurePropagationDataTypesPackageImpl.getI_mitigation()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.IMITIGATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DMITIGATION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DMITIGATION</h4>
<pre>static final&nbsp;int DMITIGATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Dmitigation</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>D_mitigation</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/impl/FailurePropagationDataTypesPackageImpl.html#getD_mitigation--"><code>FailurePropagationDataTypesPackageImpl.getD_mitigation()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes.FailurePropagationDataTypesPackage.DMITIGATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getD_avoidable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getD_avoidable</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getD_avoidable()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Davoidable</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Davoidable</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>D_avoidable</code></a></dd>
</dl>
</li>
</ul>
<a name="getI_avoidable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getI_avoidable</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getI_avoidable()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Iavoidable</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Iavoidable</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>I_avoidable</code></a></dd>
</dl>
</li>
</ul>
<a name="getC_avoidable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getC_avoidable</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getC_avoidable()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cavoidable</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Cavoidable</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>C_avoidable</code></a></dd>
</dl>
</li>
</ul>
<a name="getFailureType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFailureType</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getFailureType()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailureType.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Failure Type</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Failure Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailureType.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>FailureType</code></a></dd>
</dl>
</li>
</ul>
<a name="getA_avoidable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getA_avoidable</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getA_avoidable()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Aavoidable</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Aavoidable</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_avoidable.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>A_avoidable</code></a></dd>
</dl>
</li>
</ul>
<a name="getA_mitigation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getA_mitigation</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getA_mitigation()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Amitigation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Amitigation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/A_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>A_mitigation</code></a></dd>
</dl>
</li>
</ul>
<a name="getC_mitigation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getC_mitigation</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getC_mitigation()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Cmitigation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Cmitigation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/C_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>C_mitigation</code></a></dd>
</dl>
</li>
</ul>
<a name="getI_mitigation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getI_mitigation</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getI_mitigation()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Imitigation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Imitigation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/I_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>I_mitigation</code></a></dd>
</dl>
</li>
</ul>
<a name="getD_mitigation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getD_mitigation</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getD_mitigation()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code><em>Dmitigation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Dmitigation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/D_mitigation.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><code>D_mitigation</code></a></dd>
</dl>
</li>
</ul>
<a name="getFailurePropagationDataTypesFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFailurePropagationDataTypesFactory</h4>
<pre><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes">FailurePropagationDataTypesFactory</a>&nbsp;getFailurePropagationDataTypesFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FailurePropagationDataTypesPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.FailurePropagation.FailurePropagationDataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/FailurePropagation/FailurePropagationDataTypes/FailurePropagationDataTypesPackage.html" target="_top">Frames</a></li>
<li><a href="FailurePropagationDataTypesPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
